Bug 816636 - Protected multilib versions when running yum update
Protected multilib versions when running yum update
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 11:02 EDT by Martin Krizek
Modified: 2014-01-21 18:21 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 03:53:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Krizek 2012-04-26 11:02:23 EDT
Description of problem:
Running yum update or system update from Apper on freshly installed Fedora 17 Final TC1 x86_64 results with:
apper-0.7.1-3.fc17.x86_64 requires libpackagekit-qt2.so.2()(64bit) : Protected multilib versions: 1:NetworkManager-glib-0.9.4.0-7.git20120403.fc17.x86_64 != 1:NetworkManager-glib-0.9.4.0-1.git20120328.fc17.x86_64

See: http://fedoraproject.org/wiki/QA:Testcase_desktop_updates

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install clean Fedora 17 Final TC1
2. run yum update or run system update from Apper
3.
  
Actual results:
apper-0.7.1-3.fc17.x86_64 requires libpackagekit-qt2.so.2()(64bit) : Protected multilib versions: 1:NetworkManager-glib-0.9.4.0-7.git20120403.fc17.x86_64 != 1:NetworkManager-glib-0.9.4.0-1.git20120328.fc17.x86_64

Expected results:
yum update completes successfully

Additional info:
Comment 1 Dan Williams 2012-04-26 14:41:56 EDT
Odd, but I don't think NM is doing anything different here, thus -> yum.
Comment 2 Fedora Admin XMLRPC Client 2012-04-27 11:24:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Syam 2012-06-04 10:19:49 EDT
I just hit this when trying to install from RPM files. I had RPMs copied from the yum cache of one F17 x86_64 machine and tried to install in another with:
yum install *.rpm

Yum complained about 'Protected multilib versions when running yum update' on some files. On examination, I found that if there are two RPM files of the same package (same arch, just different versions - the kind you might have when you update), yum finds a problem.

i.e if you have RPMs for version 'x' of a package and for a later version 'y', both for the x86_64 arch, yum incorrectly complains that there's a multilib arch problem and says "package-x.x86_64 != package-b.x86_64".

This is the first time I'm installing x86_64. if I remember right, this used to work fine earlier (on 32 bit). Yum would ignore the older version RPM and use the newer version. But here on x86_64, I think a multilib integrity check is interfering with this.
Comment 4 Fedora End Of Life 2013-07-03 22:16:42 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 03:54:07 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.